Jedifadder

Concept 2.1 XL and TSX Compact E984

6 posts in this topic

I’m new to PLCs and having an issue.

I have Concept 2.1 XL, a project folder from the OEM (no .aac file),  and a TSX Compact PC-E984-265 in a PCI/Wedeco ozone generator.

We are doing a hardware upgrade to the machine that requires some logic changes in the PLC.

I load the project and when I connect to the PLC first I get: “LPC Service on PUnit failed! Error id: OLI-21709.” After I dismiss that I get: “Lader logic mismatch checksums are different.” (Currently testing on a blank PLC do to similar errors on the production unit and don’t want to totally kill the production PLC while fiddling around) The messages window has: “update PLC or PUnit (-1644)” The PLC has version 1.05 software on it.

From all of the poking around I have done it seems I may be missing a .bin file in my \Concept\DAT\ directory. I have: M1exec, Q186v214, Q486v212, Q586v100, and Strip_m1 .bin files. Or, I need to update the firmware in the PLC. But, I can’t figure out which I need or where to go to get it.

Any pointers are most welcome!

Share this post


Link to post
Share on other sites

Hi Jedifadder,

OLI-21709 means that your PLC has not right firmware for this Concept version.

Bin files starting with Qxxxx.bin are for Quantum PLC. COMPACT PLC firmware has names like CTSxxxx.bin,

in concept v2.1 /DAT you will find file CTSXV100.bin - it should be the right one.

 

Don't worry - it's not possible to upload any "wrong" firmware to the plc.

Share this post


Link to post
Share on other sites

Quaint,

I checked and as it turns out I do have that .bin file in the appropriate directory.

Do I need to flash it to the CPU?

Share this post


Link to post
Share on other sites
On 10/31/2018 at 5:45 PM, Jedifadder said:

Quaint,

I checked and as it turns out I do have that .bin file in the appropriate directory.

Do I need to flash it to the CPU?

 

Yes, just use ExecLoader Software to upload the firmware to the PLC via Modbus or Modbus+.

Edited by Quant

Share this post


Link to post
Share on other sites

Is there a way to get concept to work with the 1.05 firmware? There is a fear of undesired results with using the older firmware. And, we need to be able to animate on another unit while it is running which we can’t do with the FW errors.

Share this post


Link to post
Share on other sites

well, you can take any newer concept version and upload the suitable firmware from the list. Sorry, have no info for older versions.

compact.png

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!


Register a new account

Sign in

Already have an account? Sign in here.


Sign In Now